CVE-2003-0629
CVSS4.3
发布时间 :2003-12-15 00:00:00
修订时间 :2016-10-17 22:36:04
NMCOS    

[原文]Cross-site scripting (XSS) vulnerability in PeopleSoft IScript environment for PeopleTools 8.43 and earlier allows remote attackers to insert arbitrary web script via a certain HTTP request to IScript.


[CNNVD]PeopleTools PeopleSoft Iscript跨站脚本攻击漏洞(CNNVD-200312-034)

        PeopleTools 8.43以及之前的版本中PeopleSoft Iscript环境存在跨站脚本攻击漏洞。远程攻击者借助Iscript的特定HTTP请求插入任意Web脚本。

- CVSS (基础分值)

CVSS分值: 4.3 [中等(MEDIUM)]
机密性影响: [--]
完整性影响: [--]
可用性影响: [--]
攻击复杂度: [--]
攻击向量: [--]
身份认证: [--]

- CPE (受影响的平台与产品)

cpe:/a:peoplesoft:peopletools:8.4
cpe:/a:peoplesoft:peopletools:8.40
cpe:/a:peoplesoft:peopletools:8.41
cpe:/a:peoplesoft:peopletools:8.11
cpe:/a:peoplesoft:peopletools:8.20
cpe:/a:peoplesoft:peopletools:8.42
cpe:/a:peoplesoft:peopletools:8.12
cpe:/a:peoplesoft:peopletools:8.15
cpe:/a:peoplesoft:peopletools:8.10
cpe:/a:peoplesoft:peopletools:8.43
cpe:/a:peoplesoft:peopletools:8.13
cpe:/a:peoplesoft:peopletools:8.16
cpe:/a:peoplesoft:peopletools:8.19
cpe:/a:peoplesoft:peopletools:8.14
cpe:/a:peoplesoft:peopletools:8.17
cpe:/a:peoplesoft:peopletools:8.18

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2003-0629
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2003-0629
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200312-034
(官方数据源) CNNVD

- 其它链接及资源

http://marc.info/?l=bugtraq&m=106874146204158&w=2
(UNKNOWN)  BUGTRAQ  20031113 Corsaire Security Advisory: PeopleSoft Gateway Administration servlet path disclosure issue

- 漏洞信息

PeopleTools PeopleSoft Iscript跨站脚本攻击漏洞
中危 跨站脚本
2003-12-15 00:00:00 2005-10-20 00:00:00
远程  
        PeopleTools 8.43以及之前的版本中PeopleSoft Iscript环境存在跨站脚本攻击漏洞。远程攻击者借助Iscript的特定HTTP请求插入任意Web脚本。

- 公告与补丁

        PeopleSoft has released the following patches to address this issue:
        Release Patch
        8.18 8.18.15
        8.19 8.19.12
        8.20 8.20.03
        8.42 8.42.14
        8.43 8.43.11
        These patches are available via the PeopleSoft Customer Connection.

- 漏洞信息

3130
PeopleSoft IScript Environment Unspecified XSS
Remote / Network Access Input Manipulation
Loss of Integrity

- 漏洞描述

PeopleSoft PeopleTools contains a flaw that allows a remote Cross Site Scripting attack. This flaw exists because the application does not validate input upon submission to the IScript script. By using a carefully constructed URL, mobile code such as JAVA, can be executed within the users context. This style of attack can be used to gain access to sensitive information, such as session cookies etc.

- 时间线

2003-11-12 2003-07-01
Unknow Unknow

- 解决方案

Currently, there are no known workarounds or upgrades to correct this issue. However, PeopleSoft has released a patch to address this vulnerability.

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

PeopleTools PeopleSoft IScript Cross-Site Scripting Vulnerability
Input Validation Error 9036
Yes No
2003-11-13 12:00:00 2009-07-12 12:56:00
Discovery is credited to Glyn Geoghegan.

- 受影响的程序版本

PeopleSoft PeopleTools 8.43
PeopleSoft PeopleTools 8.42
PeopleSoft PeopleTools 8.41
PeopleSoft PeopleTools 8.40
PeopleSoft PeopleTools 8.20
PeopleSoft PeopleTools 8.19
PeopleSoft PeopleTools 8.18
PeopleSoft PeopleTools 8.17
PeopleSoft PeopleTools 8.16
PeopleSoft PeopleTools 8.15
PeopleSoft PeopleTools 8.14
PeopleSoft PeopleTools 8.13
PeopleSoft PeopleTools 8.12
PeopleSoft PeopleTools 8.11
PeopleSoft PeopleTools 8.10
PeopleSoft PeopleTools 8.4

- 漏洞讨论

PeopleSoft PeopleTools IScript is reported to be prone to cross-site scripting attacks. This could allow an attacker to embed hostile HTML and script code into a malicious link, that could be rendered in the web browser of a victim user if the link were visited. This could be exploited to steal cookie-based authentication credentials or to launch other attacks.

- 漏洞利用

There is no exploit required.

- 解决方案

PeopleSoft has released the following patches to address this issue:

Release Patch
8.18 8.18.15
8.19 8.19.12
8.20 8.20.03
8.42 8.42.14
8.43 8.43.11

These patches are available via the PeopleSoft Customer Connection.

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站